org.eclipse.jetty.rewrite.handler

## Class ForwardedSchemeHeaderRule

- java.lang.Object
- - org.eclipse.jetty.rewrite.handler.Rule
  - - org.eclipse.jetty.rewrite.handler.HeaderRule
    - - org.eclipse.jetty.rewrite.handler.ForwardedSchemeHeaderRule

    public class ForwardedSchemeHeaderRule
    extends HeaderRule

Set the scheme for the request

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.rewrite.handler.Rule

`Rule.ApplyURI`

### Field Summary

### Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule

`_handling, _terminating`

### Constructor Summary

Constructors
Constructor and Description
`ForwardedSchemeHeaderRule()`

### Method Summary

Methods
`protected String` `apply(String target, String value, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
`String` `getScheme()`
`void` `setScheme(String scheme)`

### Methods inherited from class org.eclipse.jetty.rewrite.handler.HeaderRule

`getHeader, getHeaderValue, matchAndApply, setHeader, setHeaderValue, toString`

### Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule

`isHandling, isTerminating, setHandling, setTerminating`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ForwardedSchemeHeaderRule

    public ForwardedSchemeHeaderRule()

### Method Detail

#### getScheme

    public String getScheme()

#### setScheme

    public void setScheme(String scheme)

Parameters:
  `scheme` - the scheme to set on the request. Defaults to "https"

#### apply

    protected String apply(String target,
               String value,
               javax.servlet.http.HttpServletRequest request,
               javax.servlet.http.HttpServletResponse response)

Description copied from class: `HeaderRule`
Apply the rule to the request

Specified by:
  `apply` in class `HeaderRule`
Parameters:
  `target` - field to attempt match
  `value` - header value found
  `request` - request object
  `response` - response object
Returns:
  The target (possible updated)